JUCE: DefaultHashFunctions Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
DefaultHashFunctions Struct Reference
juce_core » containers

A simple class to generate hash functions for some primitive types, intended for use with the HashMap class. More...

`#include <juce_HashMap.h>`

## Static Public Member Functions
static int | generateHash (uint32 key, int upperLimit) noexcept
| Generates a simple hash from an unsigned int.
static int | generateHash (int32 key, int upperLimit) noexcept
| Generates a simple hash from an integer.
static int | generateHash (uint64 key, int upperLimit) noexcept
| Generates a simple hash from a uint64.
static int | generateHash (int64 key, int upperLimit) noexcept
| Generates a simple hash from an int64.
static int | generateHash (const String &key, int upperLimit) noexcept
| Generates a simple hash from a string.
static int | generateHash (const var &key, int upperLimit) noexcept
| Generates a simple hash from a variant.
static int | generateHash (const void *key, int upperLimit) noexcept
| Generates a simple hash from a void ptr.
static int | generateHash (const Uuid &key, int upperLimit) noexcept
| Generates a simple hash from a UUID.

## Detailed Description

A simple class to generate hash functions for some primitive types, intended for use with the HashMap class.

See also
  HashMap

## Member Function Documentation

## ◆ generateHash() [1/8]

static int DefaultHashFunctions::generateHash | ( | uint32 | key,
|  | int | upperLimit )
| staticnoexcept

Generates a simple hash from an unsigned int.

## ◆ generateHash() [2/8]

static int DefaultHashFunctions::generateHash | ( | int32 | key,
|  | int | upperLimit )
| staticnoexcept

Generates a simple hash from an integer.

References generateHash().

Referenced by generateHash().

## ◆ generateHash() [3/8]

static int DefaultHashFunctions::generateHash | ( | uint64 | key,
|  | int | upperLimit )
| staticnoexcept

Generates a simple hash from a uint64.

## ◆ generateHash() [4/8]

static int DefaultHashFunctions::generateHash | ( | int64 | key,
|  | int | upperLimit )
| staticnoexcept

Generates a simple hash from an int64.

References generateHash().

Referenced by generateHash().

## ◆ generateHash() [5/8]

static int DefaultHashFunctions::generateHash | ( | const String & | key,
|  | int | upperLimit )
| staticnoexcept

Generates a simple hash from a string.

References generateHash().

Referenced by generateHash().

## ◆ generateHash() [6/8]

static int DefaultHashFunctions::generateHash | ( | const var & | key,
|  | int | upperLimit )
| staticnoexcept

Generates a simple hash from a variant.

References generateHash().

Referenced by generateHash().

## ◆ generateHash() [7/8]

static int DefaultHashFunctions::generateHash | ( | const void * | key,
|  | int | upperLimit )
| staticnoexcept

Generates a simple hash from a void ptr.

References generateHash().

Referenced by generateHash().

## ◆ generateHash() [8/8]

static int DefaultHashFunctions::generateHash | ( | const Uuid & | key,
|  | int | upperLimit )
| staticnoexcept

Generates a simple hash from a UUID.

References generateHash().

Referenced by generateHash().

The documentation for this struct was generated from the following file:

- juce_HashMap.h